Debian Bug report logs - #674942
ruby blocks buildd for a day (or more)

version graph

Package: ruby1.8; Maintainer for ruby1.8 is akira yamada <akira@debian.org>; Source for ruby1.8 is src:ruby1.8.

Reported by: Andreas Barth <aba@ayous.org>

Date: Mon, 28 May 2012 20:51:02 UTC

Severity: serious

Tags: patch

Found in versions ruby1.8/1.8.7.358-1, ruby1.8/1.8.7.358-3

Fixed in versions ruby1.8/1.8.7.352-2, ruby1.8/1.8.7.358-4

Done: Antonio Terceiro <terceiro@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#674942; Package ruby1.8. (Mon, 28 May 2012 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
New Bug report received and forwarded. Copy sent to akira yamada <akira@debian.org>. (Mon, 28 May 2012 20:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: submit@bugs.debian.org
Subject: ruby blocks buildd for a day (or more)
Date: Mon, 28 May 2012 22:47:12 +0200
Package: ruby1.8
Version: 1.8.7.358-3
Severity: serious

Hi,

auto-building ruby1.8 takes a buildd offline for quite some time. E.g.
on ia64 the build only ended after I killed a 20+-hours running part
of the test suite. Please make sure that all programms started by
ruby1.8 are terminated if they are no longer needed (and/or the build
fails for any reason).


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#674942; Package ruby1.8. (Wed, 30 May 2012 02:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 30 May 2012 02:45:02 GMT) Full text and rfc822 format available.

Message #10 received at 674942@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 674942@bugs.debian.org
Cc: Antonio Terceiro <terceiro@debian.org>
Subject: Re: Bug#674942: ruby blocks buildd for a day (or more)
Date: Wed, 30 May 2012 03:40:22 +0100
[Message part 1 (text/plain, inline)]
tags 674942 + patch
thanks

Hi,

This is odd;  a 1-hour timeout was just added for the ruby1.8 test
suite, because this was noticed as a problem on kfreebsd-* buildds
(#673594).

And on some buildds like armel/armhf, mips/mipsel this new timeout was
too short, so I was even going to ask about raising it.

But we see ia64, also i386 and powerpc builds hung for 48+ hours now.

If hung ruby1.8 processes are nonresponsive to SIGTERM, I guess
'timeout' must use SIGKILL instead (patch attached, also raising the
timeout to 2h as explained).  Or it could send both signals, with the -k
option, but I don't see much point.

Might want to do the same for ruby1.9.1 which is where this timeout was
borrowed from, and 1200 seconds was much too short.

(p.s. the 150-minute limit on kfreebsd-* buildds is some kind of
'inactivity' timer so it doesn't limit the entire build -- it should be
okay for the test suite to run for 2+ hours even if the package build
time comes to more than 150 minutes total.)

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[ruby1.8-test-timeout-sigkill-2h.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 30 May 2012 02:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#674942; Package ruby1.8. (Wed, 30 May 2012 03:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 30 May 2012 03:33:02 GMT) Full text and rfc822 format available.

Message #17 received at 674942@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 674942@bugs.debian.org
Cc: Antonio Terceiro <terceiro@debian.org>
Subject: Re: Bug#674942: ruby blocks buildd for a day (or more)
Date: Wed, 30 May 2012 04:29:43 +0100
fixed 674942 ruby1.8/1.8.7.352-2
found 674942 ruby1.8/1.8.7.358-1
tags 674942 - patch
thanks

Actually, I see this used to build and finish the testsuite in <15mins,
so what happened with 1.8.7.358-1 to cause such a (~15x) slowdown?

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Marked as fixed in versions ruby1.8/1.8.7.352-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 30 May 2012 03:33:04 GMT) Full text and rfc822 format available.

Marked as found in versions ruby1.8/1.8.7.358-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 30 May 2012 03:33:05 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 30 May 2012 03:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#674942; Package ruby1.8. (Fri, 01 Jun 2012 11:24:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Fri, 01 Jun 2012 11:24:24 GMT) Full text and rfc822 format available.

Message #28 received at 674942@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 674942@bugs.debian.org
Cc: Antonio Terceiro <terceiro@debian.org>
Subject: Re: Bug#674942: ruby blocks buildd for a day (or more)
Date: Fri, 01 Jun 2012 12:21:01 +0100
tags 674942 + patch
thanks

Uhhh I changed my mind.  My patch could still be used as an interim fix
(enforce a 2h time limit on the test suite with SIGKILL), then maybe
clone+downgrade this to try to work out what causes the slower build
times...

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 01 Jun 2012 11:24:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#674942; Package ruby1.8. (Sat, 02 Jun 2012 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sat, 02 Jun 2012 10:24:06 GMT) Full text and rfc822 format available.

Message #35 received at 674942@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 674942@bugs.debian.org
Subject: Re: Bug#674942: ruby blocks buildd for a day (or more)
Date: Sat, 2 Jun 2012 07:17:26 -0300
[Message part 1 (text/plain, inline)]
tags 674942 + pending
thanks

Steven Chamberlain escreveu isso aí:
> tags 674942 + patch
> thanks
> 
> Uhhh I changed my mind.  My patch could still be used as an interim fix
> (enforce a 2h time limit on the test suite with SIGKILL), then maybe
> clone+downgrade this to try to work out what causes the slower build
> times...

Actually, I discovered the real cause of the hangs: the DRB (distributed
Ruby) library tests crash for some reason, and they don't properly
terminate some processes they have started. These runaway processes make
the buildds hang forever.

I am thus disabling the DRB tests, and removing the timeout I set in the
last upload, since I believe it will not be needed anymore.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Antonio Terceiro <terceiro@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 10:24:10 GMT) Full text and rfc822 format available.

Reply sent to Antonio Terceiro <terceiro@debian.org>:
You have taken responsibility. (Sat, 02 Jun 2012 12:27:20 GMT) Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@ayous.org>:
Bug acknowledged by developer. (Sat, 02 Jun 2012 12:27:28 GMT) Full text and rfc822 format available.

Message #42 received at 674942-close@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: 674942-close@bugs.debian.org
Subject: Bug#674942: fixed in ruby1.8 1.8.7.358-4
Date: Sat, 02 Jun 2012 11:35:53 +0000
Source: ruby1.8
Source-Version: 1.8.7.358-4

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

libruby1.8-dbg_1.8.7.358-4_amd64.deb
  to main/r/ruby1.8/libruby1.8-dbg_1.8.7.358-4_amd64.deb
libruby1.8_1.8.7.358-4_amd64.deb
  to main/r/ruby1.8/libruby1.8_1.8.7.358-4_amd64.deb
libtcltk-ruby1.8_1.8.7.358-4_amd64.deb
  to main/r/ruby1.8/libtcltk-ruby1.8_1.8.7.358-4_amd64.deb
ri1.8_1.8.7.358-4_all.deb
  to main/r/ruby1.8/ri1.8_1.8.7.358-4_all.deb
ruby1.8-dev_1.8.7.358-4_amd64.deb
  to main/r/ruby1.8/ruby1.8-dev_1.8.7.358-4_amd64.deb
ruby1.8-examples_1.8.7.358-4_all.deb
  to main/r/ruby1.8/ruby1.8-examples_1.8.7.358-4_all.deb
ruby1.8-full_1.8.7.358-4_all.deb
  to main/r/ruby1.8/ruby1.8-full_1.8.7.358-4_all.deb
ruby1.8_1.8.7.358-4.debian.tar.gz
  to main/r/ruby1.8/ruby1.8_1.8.7.358-4.debian.tar.gz
ruby1.8_1.8.7.358-4.dsc
  to main/r/ruby1.8/ruby1.8_1.8.7.358-4.dsc
ruby1.8_1.8.7.358-4_amd64.deb
  to main/r/ruby1.8/ruby1.8_1.8.7.358-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674942@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antonio Terceiro <terceiro@debian.org> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Jun 2012 22:44:42 -0300
Source: ruby1.8
Binary: ruby1.8 libruby1.8 libruby1.8-dbg ruby1.8-dev libtcltk-ruby1.8 ruby1.8-examples ri1.8 ruby1.8-full
Architecture: source all amd64
Version: 1.8.7.358-4
Distribution: unstable
Urgency: low
Maintainer: akira yamada <akira@debian.org>
Changed-By: Antonio Terceiro <terceiro@debian.org>
Description: 
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging symbols for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 ri1.8      - Ruby Interactive reference (for Ruby 1.8)
 ruby1.8    - Interpreter of object-oriented scripting language Ruby 1.8
 ruby1.8-dev - Header files for compiling extension modules for the Ruby 1.8
 ruby1.8-examples - Examples for Ruby 1.8
 ruby1.8-full - Ruby 1.8 full installation
Closes: 674942 675347
Changes: 
 ruby1.8 (1.8.7.358-4) unstable; urgency=low
 .
   * debian/rules: avoid running DRB tests, since they crash and leave runaway
     processes that make buildds hang forever. With this, I expect that we
     don't need to set timeouts for the test suite at all (Closes: #674942).
   * Added patch by Steven Chamberlain to make ruby1.8-dev depend on gcc-4.6,
     since Ruby will hard code that as the compiler for building C extensions.
     Any C extension will FTBFS if gcc-4.6 is not installed (Closes: #675347).
Checksums-Sha1: 
 284910568611110380815e42408aa15602898cb2 1888 ruby1.8_1.8.7.358-4.dsc
 78eadf8b8a45e0fbb21fd83d185f72bd1fd7a0de 57617 ruby1.8_1.8.7.358-4.debian.tar.gz
 1a448e3fd0fdedfbcd309e66635ed20992b2fe02 345194 ruby1.8-examples_1.8.7.358-4_all.deb
 e4a2d194b9a00092d6f736db40d7340d6318c5d1 1430422 ri1.8_1.8.7.358-4_all.deb
 86610da6227656cb2dccb3e02ab4e8842f4985d7 283640 ruby1.8-full_1.8.7.358-4_all.deb
 95073e48c628ede107a8e744a7029cf2720ae06f 319770 ruby1.8_1.8.7.358-4_amd64.deb
 672114c433f4b1101cfd58cad84718e1cfbe9c6b 2089564 libruby1.8_1.8.7.358-4_amd64.deb
 bf212bd83128dc6210e90168b5b4d76b27ea6e5d 1737308 libruby1.8-dbg_1.8.7.358-4_amd64.deb
 bdd1eee1036082515f52b3c5995971c3dfe5933f 910650 ruby1.8-dev_1.8.7.358-4_amd64.deb
 9fb11e9e40af5a6d54e1e1d54f986f6f31010f5d 2036256 libtcltk-ruby1.8_1.8.7.358-4_amd64.deb
Checksums-Sha256: 
 ea8de8b96bdcfcd2da35e5b41681315f7af69c09f7f3f903c70126396c135667 1888 ruby1.8_1.8.7.358-4.dsc
 e66379c6aa46fdc6c761974b4162bb8d441224991c49715220533e77d38e0ee1 57617 ruby1.8_1.8.7.358-4.debian.tar.gz
 2132545e7dfe981c1ed48cfb1338b9c66915579020a22edcd0d3afb4d6ec16f4 345194 ruby1.8-examples_1.8.7.358-4_all.deb
 15a882588c661de81c899df94447024f3f79044dcafbd85be21a33402b1b5acb 1430422 ri1.8_1.8.7.358-4_all.deb
 904ab3fc40f0ae635a8c9db100993663c55109252fcdf005ee16f993c97886f6 283640 ruby1.8-full_1.8.7.358-4_all.deb
 42c92d5a043e1061c2aa0a5ef712f32903ce28a3ef2e7ac9df4bb0629e9f61c0 319770 ruby1.8_1.8.7.358-4_amd64.deb
 42433c320b70be4a8efa1104ee246f0846e07601e81570157483c84ce3474891 2089564 libruby1.8_1.8.7.358-4_amd64.deb
 1a60d594fa06776b7104a8a5cf66e69dfa7f6d405dc02a66ff0ce63343a4cfd6 1737308 libruby1.8-dbg_1.8.7.358-4_amd64.deb
 ed25e74120cb4b1968ad7e2e3a1679e4adce535de91f8659a6d72cd8e5780665 910650 ruby1.8-dev_1.8.7.358-4_amd64.deb
 acaaa0b22e431dcc77b1a0c27b34aabe716c1119ae8c3338a33fdaaee87c640e 2036256 libtcltk-ruby1.8_1.8.7.358-4_amd64.deb
Files: 
 05fea184354072742b5890f1fbb3052e 1888 ruby optional ruby1.8_1.8.7.358-4.dsc
 810f237f8600b43a63d22b5025296b76 57617 ruby optional ruby1.8_1.8.7.358-4.debian.tar.gz
 f9d990a61f02cda6922791ab85d456da 345194 ruby optional ruby1.8-examples_1.8.7.358-4_all.deb
 890cd9e60c838336a38afc5ada1a720f 1430422 ruby optional ri1.8_1.8.7.358-4_all.deb
 8368cdc342e57b99caadf1ab46c9b689 283640 ruby optional ruby1.8-full_1.8.7.358-4_all.deb
 9971ee7337d08c368c2c2f40679d6b0a 319770 ruby optional ruby1.8_1.8.7.358-4_amd64.deb
 768837a8fadb814adaff84a471b1e9c6 2089564 libs optional libruby1.8_1.8.7.358-4_amd64.deb
 cf3c8a09fbf1c8a27c7098ad6d99416e 1737308 debug extra libruby1.8-dbg_1.8.7.358-4_amd64.deb
 5c02f83b898b426d8ed7e51529e903e3 910650 ruby optional ruby1.8-dev_1.8.7.358-4_amd64.deb
 e9e51587f0571abaf891b113da1409c0 2036256 ruby optional libtcltk-ruby1.8_1.8.7.358-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/J9BwACgkQDOM8kQ+cso8awACfWIsFZdJ08MFwrBsBIPfWdcBe
1AEAoJ5onD/KZeuzpia0z5sGKbYqM1e4
=JafM
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#674942; Package ruby1.8. (Sun, 03 Jun 2012 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sun, 03 Jun 2012 01:21:03 GMT) Full text and rfc822 format available.

Message #47 received at 674942@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Antonio Terceiro <terceiro@debian.org>
Cc: 674942@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#674942: ruby blocks buildd for a day (or more)
Date: Sun, 03 Jun 2012 02:16:23 +0100
On 02/06/12 11:17, Antonio Terceiro wrote:
> I am thus disabling the DRB tests, and removing the timeout I set in the
> last upload, since I believe it will not be needed anymore.

In past build logs it has always been the ERB tests that hang on the
kfreebsd-* buildds, and the same has happened again with the latest upload.

But I wouldn't worry about it;  I think it might be fixed by the next
eglibc upload (I can't reproduce the hangs in those tests any more) and
so only a give back to kfreebsd-* buildds would be needed then.

Thanks a lot!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#674942; Package ruby1.8. (Mon, 04 Jun 2012 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Mon, 04 Jun 2012 00:39:03 GMT) Full text and rfc822 format available.

Message #52 received at 674942@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Antonio Terceiro <terceiro@debian.org>, 674942@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#674942: ruby blocks buildd for a day (or more)
Date: Mon, 4 Jun 2012 02:35:35 +0200
[Message part 1 (text/plain, inline)]
Steven Chamberlain <steven@pyro.eu.org> (03/06/2012):
> In past build logs it has always been the ERB tests that hang on the
> kfreebsd-* buildds, and the same has happened again with the latest
> upload.
> 
> But I wouldn't worry about it;  I think it might be fixed by the next
> eglibc upload (I can't reproduce the hangs in those tests any more)
> and so only a give back to kfreebsd-* buildds would be needed then.

Some do. See dependency graph for testing migration, attached.

(sudo apt-get install graphviz && dot -Tpng 1.png 1.dot)

eglibc upload, eglibc build, chroot upgrades, give backs is going to
take time, even if the eglibc upload happens “soon”.

Mraw,
KiBi.
[1.dot (application/msword, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#674942; Package ruby1.8. (Mon, 04 Jun 2012 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Mon, 04 Jun 2012 01:09:03 GMT) Full text and rfc822 format available.

Message #57 received at 674942@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Antonio Terceiro <terceiro@debian.org>, 674942@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#674942: ruby blocks buildd for a day (or more)
Date: Mon, 04 Jun 2012 02:07:01 +0100
Hi,

On 04/06/12 01:35, Cyril Brulebois wrote:
> Some do. See dependency graph for testing migration, attached.

Wow, I knew a lot was waiting on ruby1.8 (a security fix too) but the
graph is impressive.

perl has been waiting on new eglibc too, and apr.

> eglibc upload, eglibc build, chroot upgrades, give backs is going to
> take time, even if the eglibc upload happens “soon”.

It's already been uploaded (later than promised, but looks like Aurelien
hit some multiarch complications), it just built on kfreebsd-i386, only
waiting on kfreebsd-amd64 and then I intended to nag Christoph about the
rest.  And there are some maintainers I promised to mail when this happens.

After ruby1.8 is built, I hope ruby-rmagick and rcov can build after
givebacks.  (Due to a fix going in for #675347, which is not really
kfreebsd-* specific).

And there are other packages I should test (like guitarix, where there
were hangs in the waf build system), to see if the new eglibc helps there.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Jul 2012 07:38:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:42:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.